import { Component } from '@angular/core';
import {EmployeeService} from "../../service/employee.service";

@Component({
  selector: 'app-mitarbeiter-bearbeiten-view',
  standalone: true,
  imports: [],
  templateUrl: './mitarbeiter-bearbeiten-view.component.html',
  styleUrl: './mitarbeiter-bearbeiten-view.component.css'
})
export class MitarbeiterBearbeitenViewComponent {

  employees: any[] = [];

  constructor(private employeeService: EmployeeService) {}

  deleteEmployee(id: number): void {
    if (confirm('Are you sure you want to delete this employee?')) {
      this.employeeService.deleteEmployee(id).subscribe({
        next: () => {
          alert('Employee deleted successfully!');
          // Optionally, reload or refresh the employee list here
        },
        error: (err) => {
          console.error('Error deleting employee:', err);
          alert('An error occurred while deleting the employee.');
        },
      });
    }
  }

}
