import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root',
})
export class EmployeeService {
  private baseUrl = 'http://examplewebsite.com'; // Replace with your actual API base URL

  constructor(private http: HttpClient) {}

  /**
   * Deletes an employee by ID.
   * @param id - The ID of the employee to delete.
   * @returns An Observable for the delete operation.
   */
  deleteEmployee(id: number): Observable<void> {
    const url = `${this.baseUrl}/employees/${id}`;
    return this.http.delete<void>(url);
  }
}
